Subject: Re: Pathname context
From: "Max Bowsher" <[email-masked]>
To: "Robert Collins" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Sat, 3 Aug 2002 12:41:44 +0100

Robert Collins wrote:
> On Sat, 2002-08-03 at 19:24, Doug Wyatt wrote:
>>
>> Yesterday morning I posted a query about 'ls' seeing /usr/lib as a
>> proper Cygwin directory using one pathname and as a DOS/Windows
>> directory (absent the mounted /lib contents) with what I thought was
>> an equivalent pathname.  Perhaps it was overlooked in all the P.D.
>> hoopla.
>
> The behaviour is expected based on your mount table.

I can see why this _is_ happening, but is this:

max@POMELLO [~] $ cygpath -wa c:/cygwin/usr/lib
C:\cygwin\lib

actually what _should_ happen?

Shouldn't a DOS-style path be taken as-is? I can understand the /usr/bin ->
/bin, /usr/lib -> /lib mappings, and have even added my own /usr/sbin -> /sbin,
but, to me, a DOS-style path should taken literally.

Max.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/